Subject: [AVT] minor improvment to RFC3267

From: Belling Thomas <[email-masked]>
Date: Wed, 10 Mar 2004 16:32:39 +0100

Dear Magnus, all,

I would like another minor improvment to RFC3267, that you may consider for a possible bis draft.

Clause 8.1 now reads:
"
      mode-set:  Requested AMR mode set.  Restricts the active codec
               mode set to a subset of all modes.  Possible values are a
               comma separated list of modes from the set: 0,...,7 (see
               Table 1a [2]).  If such mode set is specified by the
               decoder, the encoder MUST abide by the request and MUST
               NOT use modes outside of the subset.  If not present, all
               codec modes are allowed for the session.
"

The text as it is right now rules out that you use the SID mode 8 in combination with a restricted mode set.

As an editorial thing, I also suggest replacing the Reference to Table 1a in 3GPP TS 26.101 with an internal Reference to table 1 in the RFC, as the information is identical and this enhances the readability.

I would suggest the following improved text, which is in line with the usage within 3GPP:
"
      mode-set:  Requested AMR mode set.  Restricts the active codec
               mode set to a subset of all modes.  Possible values are a
               comma separated list of modes from the set: 0,...,7 (see
               Table 1). The SID mode 8 is never included in the mode set, but
               may always be used.  If a mode set is specified by the
               decoder, the encoder MUST abide by the request and MUST
               NOT use modes outside of the subset except for mode 8.
               If not present, all  codec modes are allowed for the session.
"

A similar change should be done in Clause 8.2 for WB-AMR:
"
      mode-set:  Requested AMR-WB mode set.  Restricts the active codec
               mode set to a subset of all modes.  Possible values are a
               comma separated list of modes from the set: 0,...,8 (see
               Table 1a [4]). The SID mode 9 is never included in the mode set, but
               may always be used.  If a mode set is specified by the
               decoder, the encoder MUST abide by the request and MUST
               NOT use modes outside of the subset except for mode 9.
               If not present, all  codec modes are allowed for the session.
"

Best regards, Thomas

----------------------------------
Dr. Thomas Belling
Siemens AG           
Sankt-Martin-Str. 76 
D-81541 München Germany
ICM N PG SP ST N1
MCH M 34 307
Tel     +49 89 636 75207
Fax     +49 89 636 75577
Mobile  +49 172 2974678
Email   [email-masked]